Buscar
 
 

Resultados por:
 


Rechercher Búsqueda avanzada

Navegación
 Índice
 Wiki
 FAQ del foro
 FAQ del VDR-NG-EM
 Funcionalidades del VDR
 Mejoras del VDR-NG-EM
 Primeros pasos FW-VDR
 Descargas VDR-NG-EM
Flujo RSS


Yahoo! 
MSN 
AOL 
Netvibes 
Bloglines 



Socorro compilacion.

Ver el tema anterior Ver el tema siguiente Ir abajo

Socorro compilacion.

Mensaje por axel2 el Mar 5 Ene 2010 - 15:53

Me he alegrado mucho el saber que SVN funcionaba de nuevo .Compilo desde el principio, descarga del SVN, make-fw y al hacer make sale un error y se para.

make-incs/generate-ofi.mk:34***dependency error: ofi needs cramfs, squashfs and/or kernel image enabled.Stop

Hasta donde llego veo que falta algun paquete, pero no se cual.Es Ubuntu 6 server LTS sin entorno grafico.


¿Alguna ayuda?

Dew
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por bittor el Mar 5 Ene 2010 - 16:44

¿has modificado el archivo .config?
avatar
bittor
Desarrollador

Cantidad de envíos : 3632
Fecha de inscripción : 25/06/2008
Localización : Zaragoza

Ver perfil de usuario http://bittor7x0.googlepages.com

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por axel2 el Mar 5 Ene 2010 - 17:02

No es el de "serie"
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por bittor el Mar 5 Ene 2010 - 17:58

¡Qué raro!
¿seguro que es una compilación limpia de cero?

Asegúrate que el .config tiene un formato de archivo UNIX con estos parámetros así:
Código:
CONFIG_GENERATE_SQUASH_ROOTFS_IMAGE = y
CONFIG_GENERATE_SIEMENS-LINUX-KERNEL-IMG = y
avatar
bittor
Desarrollador

Cantidad de envíos : 3632
Fecha de inscripción : 25/06/2008
Localización : Zaragoza

Ver perfil de usuario http://bittor7x0.googlepages.com

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por axel2 el Mar 5 Ene 2010 - 18:08

Limpia de cero es pues hasta he vuelto ha instalar la compilación lunux.
No queda ni rastro del anterior.

Ahora estoy probando con otra que tengo Ubuntu 9.10 x64, pero me parece que la he cagado en el gcc-3.4 y esta compilando con la gcc-4 y ha dado algun error.

mirare la conf del ubuntu 6 a ver si es lo que dices.

Que te traigan muchas cosas los reyes. Dew
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por bittor el Jue 7 Ene 2010 - 9:22

Prueba a ejecutar esto antes del make:
Código:
export PATH=$PATH:./
avatar
bittor
Desarrollador

Cantidad de envíos : 3632
Fecha de inscripción : 25/06/2008
Localización : Zaragoza

Ver perfil de usuario http://bittor7x0.googlepages.com

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por mercurio el Vie 8 Ene 2010 - 20:40

Yo acabo de compilar correctamente para un amd64-64 Bits con Ubuntu 9.10. Lo único que he tenido que hacer es bajarme los tres paquetes de gcc3.4 para la plataforma amd64. Si alguien los necesita, los puedo subir.

mercurio

Cantidad de envíos : 30
Fecha de inscripción : 26/11/2009

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por axel2 el Sáb 9 Ene 2010 - 20:14

Compilado ultima versión actualizando Ubuntu 6 LTS server a Ubuntu 8.04 LTS server.

Me faltaria algun paquete.
avatar
axel2
Betatester

Cantidad de envíos : 392
Fecha de inscripción : 04/02/2009
Edad : 54
Localización : Castelldefels, Catalunya

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por gatopardo el Vie 29 Ene 2010 - 20:15

Yo también tengo problemas de compilación, tengo Linux mint
y he seguido las instrucciones de la wiki para ubuntu Karmic pero me da este error:

" checking for correct version of gmp.h... no
configure: error: Building GCC requires GMP 4.1+ and MPFR 2.3.2+.
Try the --with-gmp and/or --with-mpfr options to specify their locations.
Copies of these libraries' source code can be found at their respective
hosting sites as well as at ftp://gcc.gnu.org/pub/gcc/infrastructure/.
See also http://gcc.gnu.org/install/prerequisites.html for additional info.
If you obtained GMP and/or MPFR from a vendor distribution package, make
sure that you have installed both the libraries and the header files.
They may be located in separate packages.
make: *** [/home/pedro/VDR-NG-EM/VDR-NG-FW/m7x0_xtc_uclibc_Linux-i686/stagefiles/.gcc_stage1_configured] Error 1"

gatopardo

Cantidad de envíos : 73
Fecha de inscripción : 24/02/2009

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por zjuanma el Sáb 30 Ene 2010 - 18:41

Tienes que instalar estos 2 paquetes libgmp3c2 y libmpfr1ldbl a mi me ha pasado tambien en karmic:

Código:
sudo apt-get install libgmp3-dev libmpfr-dev

_________________
M740AV + VDR-NG-EM 0.5 - SVN EM 759 - SVN TC - o7o 410 - SVN plugins 744
Disco: Western Digital Elements mediante un NAS
Conectado a Internet
Plugin yaep 0.2.1: http://sites.google.com/site/yaepvdr
avatar
zjuanma
Desarrollador

Cantidad de envíos : 818
Fecha de inscripción : 27/06/2008

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por gatopardo el Dom 31 Ene 2010 - 1:11

Me dice que no encuentra e2fsprogs-1.41.8.tar.gz .
Lo he bajado y copiado en el directorio Downloads como dice en otro hilo de este foro.
Ahora también me falla da error 2 al final no se que de gcc en las ultimas lineas:
En errores.log me dice: "Makefile:143: *** unknown system type given. Alto."

gatopardo

Cantidad de envíos : 73
Fecha de inscripción : 24/02/2009

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por gatopardo el Dom 31 Ene 2010 - 16:52

Pues no hay manera.
Si alguien me manda un .ofi a mi correo.
Porque no consigo compilar.

gatopardo

Cantidad de envíos : 73
Fecha de inscripción : 24/02/2009

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por zjuanma el Dom 31 Ene 2010 - 17:18

Pega el trozo que te sale en pantalla no lo del errores.log, da mas informacion

_________________
M740AV + VDR-NG-EM 0.5 - SVN EM 759 - SVN TC - o7o 410 - SVN plugins 744
Disco: Western Digital Elements mediante un NAS
Conectado a Internet
Plugin yaep 0.2.1: http://sites.google.com/site/yaepvdr
avatar
zjuanma
Desarrollador

Cantidad de envíos : 818
Fecha de inscripción : 27/06/2008

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por pjllaneras el Dom 31 Ene 2010 - 17:21

gatopardo escribió:Pues no hay manera.
Si alguien me manda un .ofi a mi correo.
Porque no consigo compilar.
Como te dice zjuanma, haz un copy/paste de lo que sale por pantalla cuando se para de compilar... también comenta qué distribución linux has instalado y que versión (supongo que ubuntu 9.10)... cuanta más información des, mayor probabilidad tendrás de resolver el problema con nuestra ayuda.
Por mi parte acabo de compilar la versión 724 sin problemas.
avatar
pjllaneras
Betatester

Cantidad de envíos : 569
Fecha de inscripción : 29/01/2009
Edad : 45
Localización : Palma de Mallorca

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por mercurio el Dom 31 Ene 2010 - 20:18

Yo también compilé ayer con Ubuntu 9.10 y cero problemas. Además le metí todos los archivos que necesita en downloads y compiló con "make -j 2" bastante rápido (algo más de una hora en turion x2 dentro de una máquina virtual). Claro que por lo que he leído gatopardo tiene Linux mint...

mercurio

Cantidad de envíos : 30
Fecha de inscripción : 26/11/2009

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por luis1122 el Dom 31 Ene 2010 - 21:46

Gato pardo creo saber lo que te ocurre ya que a mi me ha pasado lo mismo.
descargate en el escritorio los tres archivos:
* gcc-3.4-base_3.4.6-9_i386.deb
* cpp-3.4_3.4.6-9_i386.deb
* gcc-3.4_3.4.6-9_i386.deb

y luego desde terminal ejecuta la instalacion:
~ # sudo dpkg -i gcc-3.4-base_3.4.6-9_i386.deb
~ # sudo dpkg -i cpp-3.4_3.4.6-9_i386.deb
~ # sudo dpkg -i gcc-3.4_3.4.6-9_i386.deb


ya que si los instalas desde el enlace .deb luego te da el error 2, gcc etc...

yo lo he hecho así y acabo de terminar de compilar la version 724.

saludos.

luis1122

Cantidad de envíos : 8
Fecha de inscripción : 16/02/2009
Edad : 42

Ver perfil de usuario

Volver arriba Ir abajo

Re: Socorro compilacion.

Mensaje por Contenido patrocinado


Contenido patrocinado


Volver arriba Ir abajo

Ver el tema anterior Ver el tema siguiente Volver arriba


 
Permisos de este foro:
No puedes responder a temas en este foro.